## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate cfg-expr

Name:           rust-%{crate}
Version:        0.8.1
Release:        %autorelease
Summary:        Parser and evaluator for Rust `cfg()` expressions

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/cfg-expr
Source:         %{crates_source}
# Initial patched metadata
# Relax target-lexicon to version 0.12
Patch0:         cfg-expr-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Parser and evaluator for Rust `cfg()` expressions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc examples README.md CONTRIBUTING.md CODE_OF_CONDUCT.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+target-lexicon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+target-lexicon-devel %{_description}

This package contains library source intended for building other packages
which use "target-lexicon" feature of "%{crate}" crate.

%files       -n %{name}+target-lexicon-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+targets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+targets-devel %{_description}

This package contains library source intended for building other packages
which use "targets" feature of "%{crate}" crate.

%files       -n %{name}+targets-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Aug 05 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.8.1-1
- Update to version 0.8.1; Fixes RHBZ#1990578

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.8.0-3
- Relax target-lexicon to version 0.12; Fixes RHBZ#1983368

* Fri Jul 16 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.8.0-1
- Update to version 0.8.0; Fixes RHBZ#1982978

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.7.4-2
- Update for target-lexicon 0.12; Fixes RHBZ#1981348

* Sat Jul 10 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.7.4-1
- Initial package; Fixes RHBZ#1976529
